package com.pqs9000.pojo.responsibility;

import com.pqs9000.pojo.report.UserDataExcelBody;

import java.io.Serializable;
import java.util.*;

/**
 * 处理用采原始数据得到的一个结果
 * @author hongawen
 * @Date: 2019/4/26 15:57
 */
public class DealDataResult implements Serializable {
   private Map<String, Map<String, Map<Date, UserDataExcelBody>>> totalData = new HashMap<>();

   private List<String> dates = new ArrayList<>();

   private Map<String, Map<String, List<UserDataExcelBody>>> totalListData=new HashMap<>();

    public Map<String, Map<String, Map<Date, UserDataExcelBody>>> getTotalData() {
        return totalData;
    }

    public void setTotalData(Map<String, Map<String, Map<Date, UserDataExcelBody>>> totalData) {
        this.totalData = totalData;
    }

    public List<String> getDates() {
        return dates;
    }

    public void setDates(List<String> dates) {
        this.dates = dates;
    }

    public Map<String, Map<String, List<UserDataExcelBody>>> getTotalListData() {
        return totalListData;
    }

    public void setTotalListData(Map<String, Map<String, List<UserDataExcelBody>>> totalListData) {
        this.totalListData = totalListData;
    }

    @Override
    public String toString() {
        return "DealDataResult{" +
                "totalData=" + totalData +
                ", dates=" + dates +
                ", totalListData=" + totalListData +
                '}';
    }
}
